// pages/expertDetail/expertDetail.js
Page({

  /**
   * 页面的初始数据
   */
  data: {

  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad(options) {
      wx.showLoading({
        title: '加载中',
        mask:true,
      });
    const scene = options.scene?decodeURIComponent(options.scene):'';
    let doctor_id='';
    if(scene){
      doctor_id=scene.split('=')[1]
    }else{
      doctor_id=options.doctor_id
    };
    console.log(options)
    this.setData({
      doctor_id:doctor_id
    })
    wx.redirectTo({
      url: '/patient/pages/expertDetail/expertDetail?doctor_id='+doctor_id,
      complete:function(){
        wx.hideLoading();
      }
    })
  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady() {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow() {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide() {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload() {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh() {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom() {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage() {

  }
})